Create API session

Create API session
Create API session

Create API session

Request
URI
POST
https://{server}/hybridity/api/sessions
COPY
Header Parameters
string
Accept
Required

application/json

Accept example
application/json
string
Content-Type
Required

application/json

Content-Type example
application/json

Request Body
_hybridity_api_sessions_post_request of type(s) application/json
Required
{
    "username": "[email protected]",
    "password": "password"
}
string
username
Required

username

string
password
Required

password

Authentication
This operation uses the following authentication methods.
Responses
200

Status 200

Operation doesn't return any data structure

Response Headers

string
x-hm-authorization

Authorization token to be used for subsequent API calls.


400

Bad Request - Invalid request format or unsupported authentication type.

Operation doesn't return any data structure

401

Unauthorized - Invalid credentials.

  • Incorrect username or password
  • Account locked due to failed login attempts
  • User account disabled or expired
  • vCenter SSO authentication failed
Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"password":"string","username":"string"}' https://{api_host}/hybridity/api/sessions